package com.ruoyi.interfaces.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * api数据集对象 md_data_set_api
 * 
 * @author 朱得糠
 * @date 2025-09-02
 */
public class MdDataSetApi extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    @Excel(name = "ID")
    private Long id;

    /** 数据集编码 */
    @Excel(name = "数据集编码")
    private String dcCode;

    /** 服务id */
    @Excel(name = "服务id")
    private String srvId;

    /** 参数 */
    @Excel(name = "参数")
    private String pars;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setDcCode(String dcCode) 
    {
        this.dcCode = dcCode;
    }

    public String getDcCode() 
    {
        return dcCode;
    }
    public void setSrvId(String srvId) 
    {
        this.srvId = srvId;
    }

    public String getSrvId() 
    {
        return srvId;
    }
    public void setPars(String pars) 
    {
        this.pars = pars;
    }

    public String getPars() 
    {
        return pars;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("dcCode", getDcCode())
            .append("srvId", getSrvId())
            .append("pars", getPars())
            .toString();
    }
}
